Bug 5248 - After latest updates the file /etc/issue was removed
: After latest updates the file /etc/issue was removed
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-03-20 22:26 MSK by Andrey Ponomarenko
Modified: 2015-03-30 11:12 MSD (History)
4 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Ponomarenko 2015-03-20 22:26:26 MSK
Description of problem:

The file /etc/issue was removed after latest updates.

Version-Release number of selected component (if applicable): R5 KDE x86_64


How reproducible: always


Steps to Reproduce:
1. install all updates via urpmi --auto-update
2. check presence of /etc/issue
3.
Comment 1 Denis Silakov 2015-03-23 00:48:42 MSK
Advisory:
Return /etc/issue and /etc/issue.net files accidentally dropped with the last branding-configs update. 

Build lists:
https://abf.rosalinux.ru/build_lists/2474797
https://abf.rosalinux.ru/build_lists/2474798
Comment 2 Alexander Petryakov 2015-03-24 02:04:03 MSK
Update has been installed but file /etc/issues not exists
[root@FR5-i586 sasha]# rpm -qa | grep branding-configs
branding-configs-common-2.0-78-rosa2014.1.i586
branding-configs-fresh-2.0-78-rosa2014.1.i586
[root@FR5-i586 sasha]# ls -la /etc/issue
ls: невозможно получить доступ к /etc/issue: Нет такого файла или каталога
[root@FR5-i586 sasha]# ls -la /etc/issue.net
ls: невозможно получить доступ к /etc/issue.net: Нет такого файла или каталога
Comment 3 Denis Silakov 2015-03-24 12:54:13 MSK
Indeed. Please try these builds:

https://abf.io/build_lists/2475462
https://abf.io/build_lists/2475463
Comment 4 FirstLevel 2015-03-25 15:46:08 MSK
issue

32bit

old
[root@r5-32 ~]# ls -al /etc/issue
ls: невозможно получить доступ к /etc/issue: Нет такого файла или каталога
[root@r5-32 ~]# 

update - ok

new
[root@r5-32 ~]# ls -al /etc/issue
lrwxrwxrwx 1 root root 23 мар 25 14:43 /etc/issue -> /etc/alternatives/issue
[root@r5-32 ~]# 


64bit

old
[root@r5-64 ~]# ls -al /etc/issue
ls: невозможно получить доступ к /etc/issue: Нет такого файла или каталога
[root@r5-64 ~]# 

update - ok

new
[root@r5-64 ~]# ls -al /etc/issue
lrwxrwxrwx 1 root root 23 мар 25 14:45 /etc/issue -> /etc/alternatives/issue
[root@r5-64 ~]#
Comment 5 Vladimir Potapov 2015-03-25 15:52:51 MSK
The update is sent to expanded testing
***************************************
Comment 6 Vladimir Potapov 2015-03-30 08:51:19 MSD
branding-configs-2.0-79
https://abf.io/build_lists/2475462
https://abf.io/build_lists/2475463
************************** Advisory *********************************
Return /etc/issue and /etc/issue.net files accidentally dropped with the last branding-configs update. 
*********************************************************************
QA Verified